<?php

namespace App\Form\Config;

use App\Entity\Machine;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * The form for editing a material type
 */
class MachineEditForm extends AbstractType {
    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver): void {
        $resolver->setDefaults(
            [
                'data_class' => Machine::class,
            ]
        );
    }

    /**
     * @inheritDoc
     */
    public function buildForm (FormBuilderInterface $builder, array $options): void {
        $builder
            ->add('name', null, [
                'label' => 'Nom',
            ])
            ->add('labelExtraInfo1', null, [
                'label'    => 'Nom d\'information complémentaire n° 1',
                'required' => false,
            ])
            ->add('labelExtraInfo2', null, [
                'label'    => 'Nom d\'information complémentaire n° 2',
                'required' => false,
            ])
            ->add('submit', SubmitType::class, [
                'label' => 'Enregistrer',
            ]);
    }
}