<?php

namespace App\Form\Config;

use App\Entity\MaterialType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * The form for editing a material type
 */
class MaterialTypeEditForm extends AbstractType {
    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver): void {
        $resolver->setDefaults(
            [
                'data_class' => MaterialType::class,
            ]
        );
    }

    /**
     * @inheritDoc
     */
    public function buildForm (FormBuilderInterface $builder, array $options): void {
        $builder
            ->add('name', null, [
                'label' => 'Nom',
            ])
            ->add('stackName', null, [
                'label' => 'Nom de la pile',
            ])
            ->add('stackSize', null, [
                'label' => 'Taille de la pile',
            ])
            ->add('submit', SubmitType::class, [
                'label' => 'Enregistrer',
            ]);
    }
}